Subject: Re: bug#22458: Collision between khal and vdirsyncer "bin/vdirsyncer"

From: [email-masked] (Ludovic Courtès)
Date: Wed, 03 Feb 2016 22:56:21 +0100

Leo Famulari <[email-masked]> skribis:

> The packages khal and vdirsyncer are meant to be used together. Khal is
> a console calendar program and vdirsyncer synchronizes CalDAV data from
> a remote server to the local filesystem so that khal can use it.

Then why do they both provide the same file?  :-)

> For some reason, the khal package is creating an
> "EASY-INSTALL-ENTRY-SCRIPT" (as "bin/.vdirsyncer-real") that wraps the
> propagated vdirsyncer executable. This means that both the khal and
> vdirsyncer packages contain the path "bin/vdirsyncer", which is
> annoying. Thankfully, they both end up executing the real vdirsyncer.

I’m not sure I follow.  Does upstream khal explicitly intend to install
its own bin/vdirsyncer?

Ludo’.